Summary: Real Networks RealPlayer
Name: RealPlayer
Version: 7.0.0.171
Release: 1
Group: X11/Applications/Networking
Copyright: Commercial
Url: http://proforma.real.com/real/player/linuxplayer.html
Vendor: Real Networks
Packager: Hao Li <hli@wag.caltech.edu>
Source0: RealPlayer-%{version}.tar.gz
Source1: RealPlayer-plugins-%{version}.tar.gz
Source2: RealPlayer7.mime.types
Source3: RealPlayer7.mailcap
Exclusivearch: i386
#Requires: netscape-navigator
Obsoletes: G2player
BuildRoot: /var/tmp/%{name}-root

%description
Real Networks RealPlayer.


%prep
%setup -c -T
install -p %{SOURCE2} mime.types
install -p %{SOURCE3} mailcap


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/netscape-navigator}
tar -C $RPM_BUILD_ROOT/usr/lib -zxf %{SOURCE0}
#tar -C $RPM_BUILD_ROOT/usr/lib/netscape-navigator -zxf %{SOURCE1}
ln -s ../lib/RealPlayer7/{realplay,rpnphelper} $RPM_BUILD_ROOT/usr/bin


%files
%defattr(-,root,root)
%doc mime.types mailcap
/usr/bin/*
/usr/lib/RealPlayer7
#/usr/lib/netscape-navigator/plugins/*



%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Mar 13 2000 Hao Li <hli@wag.caltech.edu>
- Netscape plugin doesn't work as of RealPlayer-7.0.0.171 with
  netscape-navigator-4.72. So all plugin related parts above
  (in Requires, %include and %files) are commented out. Just uncomment
  them when the plugin works. By "doesn't work" I mean when the plugin
  window pops up it stays there indefinitely without doing anything.

